#!/bin/sh
# 
# $Id: install.sh,v 1.7 2003/06/19 11:43:37 erik Exp $
#
# script to install the m4 files to the appropriate place

#set -e -x
set -e

PROGS="
 OpenAL.m4\
 OpenGL.m4\
 lua.m4\
"
TARGETDIR="/tmp"

ACLOCAL=`which aclocal`
	# /usr/local/bin/aclocal -> /usr/local/share/aclocal
TARGETDIR=`echo $ACLOCAL | sed 's:bin:share:'`
INSTALL=`which install`

	# I like -r--r--r--
MODE=444

DIROWNER=`ls -ndl $TARGETDIR | awk '{print $3}'`
SELF=`id -u`

#if [ ! "$SELF" = "0" and ! "$SELF" = "$OWNER" ]
#then
#	echo "You don't have permission to write to $TARGETDIR"
#	exit 1
#fi

if [ -e $TARGETDIR/gl.m4 ]
then
	echo "Ugh, $TARGETDIR/gl.m4 exists, I refuse to coexist."
	exit 1
fi

for a in $PROGS
do
	$INSTALL -m $MODE $a $TARGETDIR/$a
done

#if [ "$#" >= 2 ]
#then
#	
#fi
#
#if [ "$ACLOCAL" = "" ]
#then
#	echo "Make sure aclocal is in your path, or 
#fi
#
#PREFIX
